#!/bin/sh
echo "Reloading configuration, please wait..."
echo
DIRNAME=`dirname $0`
$DIRNAME/../bin/nanddump -of /tmp/current.duckBA /dev/mtd3 &>/dev/null
ITEMS=`cat /tmp/current.duckBA  2>/dev/null | grep --binary-files=text "BOOTITMES" 2>/dev/null | sed "s/:[123E]/\n/g" | egrep "\.1|\.2|\.3"`
if [ "$ITEMS" = "" ]; then
	ITEMS=`cat /dev/mtdblock3 | grep "BOOTITMES" | sed "s/:[123E]/\n/g" | egrep "\.1|\.2|\.3"`
fi
ITEM1=`echo -n "$ITEMS" | grep "\.1" | sed "s/\.1$//"`
ITEM2=`echo -n "$ITEMS" | grep "\.2" | sed "s/\.2$//"`
ITEM3=`echo -n "$ITEMS" | grep "\.3" | sed "s/\.3$//"`

echo "$ITEM1" >/tmp/bootitems.DBA
echo "$ITEM2" >>/tmp/bootitems.DBA
echo "$ITEM3" >>/tmp/bootitems.DBA

echo "Configured images:"
echo

cat /tmp/bootitems.DBA